Package groovy.transform

# Annotation Type NamedParam

@Retention(RUNTIME) @Target(PARAMETER) @Repeatable(NamedParams.class) public @interface NamedParam
Marker interface used to indicate that the name of the annotated parameter (or specified optional name) is a valid key name when using named arguments and that the parameter type is applicable for type checking purposes.

Since:
  2.5.0

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `boolean`
  `required`
  `Class`
  `type`
  `String`
  `value`

- ## Element Details

  - ### value

    String value
    Default:
      "<DummyUndefinedMarkerString-DoNotUse>"

  - ### type

    Class type
    Default:
      java.lang.Object.class

  - ### required

    boolean required
    Default:
      false